### Signal

# GcrUi ViewerWidget::added

#### Declaration

    void
    added (
      GcrViewerWidget* self,
      GcrUiRenderer* renderer,
      GcrParsed* parsed,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when an item is added to the viewer widget.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`renderer` | `GcrRenderer`
| The renderer that was added.
| The data is owned by the caller of the function.
`parsed` | `GcrParsed`
| The parsed item that was added.
| The data is owned by the caller of the function.